Execute a manual workflow for all running servers of a persistent server
curl --request POST \
--url https://controller.platform.simplecloud.app/v0/persistent-servers/workflows/manual \
--header 'Content-Type: application/json' \
--header 'X-Network-ID: <x-network-id>' \
--header 'X-Network-Secret: <x-network-secret>' \
--data '
{
"workflow_id": "internal.cleanup"
}
'import requests
url = "https://controller.platform.simplecloud.app/v0/persistent-servers/workflows/manual"
payload = { "workflow_id": "internal.cleanup" }
headers = {
"X-Network-ID": "<x-network-id>",
"X-Network-Secret": "<x-network-secret>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Network-ID': '<x-network-id>',
'X-Network-Secret': '<x-network-secret>',
'Content-Type': 'application/json'
},
body: JSON.stringify({workflow_id: 'internal.cleanup'})
};
fetch('https://controller.platform.simplecloud.app/v0/persistent-servers/workflows/manual', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"failed_servers": [
{
"error_message": "workflow execution was rejected by serverhost",
"server_id": "123e4567-e89b-12d3-a456-426614174000"
}
],
"message": "Manual workflow execution completed",
"persistent_server_id": "123e4567-e89b-12d3-a456-426614174000",
"skipped_server_ids": [
"<string>"
],
"succeeded_server_ids": [
"<string>"
],
"total_servers": 1,
"workflow_id": "internal.cleanup"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}persistent-servers
Execute a manual workflow for all running servers of a persistent server
Execute a configured manual workflow for all eligible running servers of a persistent server
POST
/
v0
/
persistent-servers
/
workflows
/
manual
Execute a manual workflow for all running servers of a persistent server
Query Parameters
Persistent Server ID
Body
application/json
Manual workflow execution request
Request to execute a manual workflow.
Example:
"internal.cleanup"
Response
OK
Response for executing a manual workflow on all eligible servers of a persistent server.
Show child attributes
Show child attributes
Example:
"Manual workflow execution completed"
Example:
"123e4567-e89b-12d3-a456-426614174000"
Example:
1
Example:
"internal.cleanup"
Was this page helpful?
⌘I